<?php
/**
 * ------------------------------------------------------------------------
 * Form style field for Joomla admin form
 * ------------------------------------------------------------------------
 * @copyright	Copyright (C) 2010 - 2012 JoomUltra Co., Ltd
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: JoomUltra Co., Ltd
 * Websites: http://www.joomultra.com
 * ------------------------------------------------------------------------
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');

class JFormFieldFormStyle extends JFormField {

    protected $type = 'FormStyle';

    protected function getInput() {
		//JHTML::_('behavior.mootools');
		//Check if jQuery has been loaded
		$jQueryisLoaded = false;
		$document	= &JFactory::getDocument();
		$header = $document->getHeadData();
		foreach($header['scripts'] as $scriptName => $scriptData)
		{
			$regex= '#.*jquery([0-9\.-]|min|pack)*?.js#m';
			preg_match($regex, $scriptName, $matches);
			if (!empty($matches)) $jQueryisLoaded = true;
		}
		
		$jversion = new JVersion();
		$jshortversion = $jversion->getShortVersion();

		//Add js
		if(!$jQueryisLoaded && $jshortversion < '3.0.0') {
			$document->addScript(JURI::root().$this->element['path'].'js/jquery.min.js');
		}
		//Only load js for Joomla 2.5
		if ($jshortversion < '3.0.0') {
			$document->addScript(JURI::root().$this->element['path'].'js/radio_btn-group.js');
			$document->addScript(JURI::root().$this->element['path'].'js/chosen.jquery.min.js');
			$document->addScript(JURI::root().$this->element['path'].'js/chosen.js');
		}
		$document->addScript(JURI::root().$this->element['path'].'js/colorpicker/colorpicker.js');
		$document->addScript(JURI::root().$this->element['path'].'js/colorpicker.js');
        $document->addScript(JURI::root().$this->element['path'].'js/javascript.js');

		//Add css
		//Only load css for Joomla 2.5
		if ($jshortversion < '3.0.0') {
			$document->addStyleSheet(JURI::root().$this->element['path'].'css/chosen.css');
			$document->addStyleSheet(JURI::root().$this->element['path'].'css/radio_btn-group.css');
		}
		$document->addStyleSheet(JURI::root().$this->element['path'].'css/styles.css');
        $document->addStyleSheet(JURI::root().$this->element['path'].'js/colorpicker/colorpicker.css');
		
        return $data;
    }
}
?>